Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167267 - run test option not available for single files for maven project
run test option not available for single files for maven project
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 23:01 UTC by bradmac
Modified: 2009-07-16 12:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bradmac 2009-06-17 23:01:48 UTC
Right click context menu on test classes shows the "Run File" option as disabled. However, running Test on the project
context menu works correctly.

Notes: 
 - i'm using the minimal download of 6.7RC2
 - i tried using the checkstyle and coverage plugins, now uninstalled
 - the project uses junit annotations, but i also tried a test class which extended TestCase and still no Run File option
 - when opening the same project with 6.5 it works fine
 - i tried disabling compile on save but didnt help
Comment 1 Milos Kleint 2009-06-19 06:42:39 UTC
in 6.7 the Run action applies only to classes with main method, tests are executed with the Test File action.

closing as worksforme, please reopen if Test file action is also disabled.
Comment 2 bradmac 2009-06-19 10:25:20 UTC
Just tested again. Different project and with a fresh install of Netbeans 6.7 RC3.

When i right click on a test class i get a context menu with 'Run File', 'Debug File' and 'Run into Method' but no 'Test
File' menu item.

However, the 'Test File' option is available from the menu bar, so i can run the tests 

The project uses junit 3.8.1, and the test classes are extending the junit TestCase class, not using annotations (if
that makes a difference)

Please add 'Test File' to the right click context menu.
Comment 3 Milos Kleint 2009-06-22 13:01:57 UTC
http://hg.netbeans.org/main/rev/4f26774c8f11
Comment 4 Quality Engineering 2009-06-23 07:42:57 UTC
Integrated into 'main-golden', will be available in build *200906230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4f26774c8f11
User: Milos Kleint <mkleint@netbeans.org>
Log: #167267 sync the popup in editor with the popup in explorer
Comment 5 Jaroslav Pospisil 2009-07-02 13:47:02 UTC
v.
Comment 6 pgebauer 2009-07-09 17:19:23 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/0e5637a50309
Comment 7 pgebauer 2009-07-09 17:20:11 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/0e5637a50309
Comment 8 pribyl 2009-07-16 12:18:49 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907150227)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

Verified in 6.7.1 RC


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo